import loadScript from "./load-script";

function isValidVue(Vue: any) {
  return (
    typeof Vue === "object" &&
    Vue.version[0] === "3" &&
    !!Vue.compile &&
    !!Vue.Teleport
  );
}

export default function () {
  return new Promise((resolve) => {
    if (window.$HFC_VUE) {
      resolve(true);
      return;
    }

    if (isValidVue(window.Vue)) {
      window.$HFC_VUE = window.Vue;
      resolve(true);
      return;
    }

    loadScript(window.$HFC_CDN_URL + "/@hyper-function/vue@3.2.6/dist/vue.js").then(() => {
      resolve(true);
    });
  });
}
